#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA5,0xD3,0xFE,0x96,0x79,0xE2,0xB1,0xFC,0x2A,0x60,0xB4,0xC4,
		0xEF,0xBC,0x62,0xF1,0xB2,0x27,0xC8,0x0F,0xFF,0x3D,0xD3,0x0E,
		0xB3,0xC4,0xA2,0xD8,0xF4,0x62,0x50,0xD7,0x01,0x7D,0xC8,0x74,
		0xD7,0x2C,0x45,0x3B,0x4E,0x55,0xFF,0x82,0x30,0xBF,0xEE,0x46,
		0x8D,0x1A,0x50,0x7F,0xD6,0x53,0xF4,0x91,0x76,0xAA,0xFC,0x4F,
		0xF0,0x0C,0x29,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
